package org.jtheque.primary.services.able;

import org.jtheque.core.managers.persistence.able.Entity;

/*
 * This file is part of JTheque.
 *
 * JTheque is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License.
 *
 * JTheque is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with JTheque.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * A data service specification.
 *
 * @author Baptiste Wicht
 * @param <T> The type of entity of this service.
 */
public interface DataService<T extends Entity> {
	/**
	 * Delete the data.
	 *
	 * @param data The data to delete.
	 *
	 * @return true if the data has been deleted else false.
	 */
	boolean delete(T data);

	/**
	 * Save the data.
	 *
	 * @param data The data to save.
	 */
	void save(T data);

	/**
	 * Create the data.
	 *
	 * @param data The data to create.
	 */
	void create(T data);
}
